user-setup (1.107ubuntu2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 02 Feb 2026 21:51:49 +0100

user-setup (1.107ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2112085). Remaining old changes:
    - Add preseedable passwd/auto-login question; if set to true, configure
      gdm, kdm, lxdm, sddm, and lightdm for automatic login.  Add
      passwd/auto-login-backup question which backs up the previous contents
      of the files as well.
    - Ask whether the user wants to encrypt their home directory.
    - Allow forcing the encrypted home option.
    - If a user requests an encrypted-home, we must have their login
      passphrase, in order to wrap their mount passphrase; it's
      fundamentally incompatible to preseed encrypted-home AND a crypted
      password; if this happens, send the user back to password selection.
    - Zero out swap devices at the end of install when encryption is
      enabled.
    - Provide a progress message for wiping swap space.
    - If user-setup/allow-password-empty is preseeded to true, allow empty
      passwords.
    - Add weak password detection (purely length-based for now, matching
      partman-crypto).
    - Don't restrict guest login from login screen if autologin was
      configured, just restrict autologin for guest specifically.
    - If OVERRIDE_ALREADY_ENCRYPTED_SWAP is set in the environment, assume
      that encrypted swap has already been set up rather than re-creating
      and re-zeroing swap.
    - reserved-usernames: Add maas to reserved-usernames
    - user-setup-apply: user-setup-udeb.templates: Update initial user groups
    - d/user-setup-udeb.templates: Default passwd/root-login to false
    - functions.sh: Make is_system_user always return false if OVERRIDE_SYSTEM_USER is set
    - functions.sh: Consider a password of '!' in shadow for root to be unset
    - user-setup-apply: Create the spu group on powerpc/ps3 and powerpc/cell
    - user-setup-apply: Fix paths for GDM configs which are now in /etc/gdm3
    - user-setup-apply: Fix sddm.conf paths when replacing PLACEHOLDER
    - user-setup-ask: Lower priority of the encrypt home question
    - user-setup-apply: Mount /proc before calling adduser --encrypt-home
    - debian/po: keep translations as part of the package
    - Add sgx group to reserved-usernames; udev.postinst (src:systemd) adds it
      as a system group (LP #1990488).
    - remove 'lxd' from user-default-groups and add 'users' instead,
      it will let lxd default to unprivileged containers which is better
      see https://discourse.ubuntu.com/t/easy-multi-user-lxd-setup for details
      (LP: #1949115)

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Thu, 07 Aug 2025 13:13:35 +0530

user-setup (1.107) unstable; urgency=medium

  [ Updated translations ]
  * Spanish (es.po) by Santiago Vila

 -- Cyril Brulebois <kibi@debian.org>  Sun, 20 Jul 2025 06:34:44 +0200

user-setup (1.106) unstable; urgency=medium

  [ Updated translations ]
  * Greek (el.po) by galaxico
  * Hungarian (hu.po) by Szia Tomi
  * Kabyle (kab.po) by ButterflyOfFire
  * Uyghur (ug.po) by Abduqadir Abliz

 -- Cyril Brulebois <kibi@debian.org>  Sun, 29 Jun 2025 14:40:08 +0200

user-setup (1.105) unstable; urgency=medium

  [ Pascal Hambourg ]
  * Replace --gecos with --comment in adduser invocation, as suggested by
    the documentation (deprecation notice).
  * Set the full name with chfn instead of adduser:
     - adduser 3.152 relaxes checks on what's getting passed via --comment
       (see #1101678).
     - To be safe, with an older adduser or with further versions that
       would refine the checks, pass the username through --comment as
       a first step, then use chfn to try and set the fullname.
     - This should ensure that d-i can create users (instead of silently
       failing, see #1101069, #1101196, and #1104550). If chfn fails for
       some reason, d-i continues, and the username stays in the comment
       field instead of the specified fullname.
  * Stop setting LANG=C:
     - C.UTF-8 is used in d-i, is available in the installed system, so
       using C instead doesn't seem needed.
     - Worse, it can be counterproductive and trigger an indefinite hang
       in some conditions (see #1104726).
  * Sanitize fullname, which should ensure chfn can be used to perform the
    username/fullname substitution mentioned above:
     - Replace colon, comma, equal sign, ampersand, and control characters
       with spaces.
     - Squeeze repeated spaces.
     - Remove leading and trailing spaces.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 14 May 2025 14:34:16 +0200

user-setup (1.104) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Galician (gl.po) by Parodper
  * Croatian (hr.po) by Valentin Vidic
  * Hungarian (hu.po) by Szia Tomi
  * Italian (it.po) by Milo Casagrande
  * Lithuanian (lt.po) by Rimas Kudelis
  * Marathi (mr.po) by Kalyani Kenekar
  * Serbian (sr.po) by Мирослав Николић
  * Vietnamese (vi.po) by Dagon Vn

 -- Holger Wansing <hwansing@mailbox.org>  Wed, 02 Apr 2025 23:17:03 +0200

user-setup (1.103) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure
  * Finnish (fi.po) by Ricky Tigg
  * Hungarian (hu.po) by Szia Tomi
  * Italian (it.po) by Milo Casagrande
  * Polish (pl.po) by Matthaiks

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 06 Feb 2025 21:35:48 +0100

user-setup (1.102ubuntu1) plucky; urgency=medium

  * Merge 1.102 from Debian unstable. Remaining old changes:
    - Add preseedable passwd/auto-login question; if set to true, configure
      gdm, kdm, lxdm, sddm, and lightdm for automatic login.  Add
      passwd/auto-login-backup question which backs up the previous contents
      of the files as well.
    - Ask whether the user wants to encrypt their home directory.
    - Allow forcing the encrypted home option.
    - If a user requests an encrypted-home, we must have their login
      passphrase, in order to wrap their mount passphrase; it's
      fundamentally incompatible to preseed encrypted-home AND a crypted
      password; if this happens, send the user back to password selection.
    - Zero out swap devices at the end of install when encryption is
      enabled.
    - Provide a progress message for wiping swap space.
    - If user-setup/allow-password-empty is preseeded to true, allow empty
      passwords.
    - Add weak password detection (purely length-based for now, matching
      partman-crypto).
    - Don't restrict guest login from login screen if autologin was
      configured, just restrict autologin for guest specifically.
    - If OVERRIDE_ALREADY_ENCRYPTED_SWAP is set in the environment, assume
      that encrypted swap has already been set up rather than re-creating
      and re-zeroing swap.
    - reserved-usernames: Add maas to reserved-usernames
    - user-setup-apply: user-setup-udeb.templates: Update initial user groups
    - d/user-setup-udeb.templates: Default passwd/root-login to false
    - functions.sh: Make is_system_user always return false if
      OVERRIDE_SYSTEM_USER is set
    - functions.sh: Consider a password of '!' in shadow for root to be unset
    - user-setup-apply: Create the spu group on powerpc/ps3 and powerpc/cell
    - user-setup-apply: Fix paths for GDM configs which are now in /etc/gdm3
    - user-setup-apply: Fix sddm.conf paths when replacing PLACEHOLDER
    - user-setup-ask: Lower priority of the encrypt home question
    - user-setup-apply: Mount /proc before calling adduser --encrypt-home
    - debian/po: keep translations as part of the package
    - Add sgx group to reserved-usernames; udev.postinst (src:systemd) adds it
      as a system group (LP: #1990488).
    - remove 'lxd' from user-default-groups and add 'users' instead,
      it will let lxd default to unprivileged containers which is better
      see https://discourse.ubuntu.com/t/easy-multi-user-lxd-setup for details
      (LP: #1949115)

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Mon, 13 Jan 2025 12:41:46 +0530

user-setup (1.102) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Belarusian (be.po) by vics
  * Persian (fa.po) by Danial Behzadi
  * Finnish (fi.po) by Jiri Grönroos
  * Icelandic (is.po) by Sveinn í Felli
  * Italian (it.po) by Giuseppe Sacco
  * Korean (ko.po) by Changwoo Ryu
  * Romanian (ro.po) by Remus-Gabriel Chelu
  * Tamil (ta.po) by தமிழ்நேரம்

 -- Holger Wansing <hwansing@mailbox.org>  Fri, 10 Jan 2025 23:43:33 +0100

user-setup (1.101) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Belarusian (be.po) by Joe
  * Estonian (et.po) by Kristjan Räts
  * Persian (fa.po) by peylight
  * French (fr.po) by Baptiste Jammet
  * Galician (gl.po) by Víctor Posada
  * Icelandic (is.po) by Sveinn í Felli
  * Japanese (ja.po) by Sadaharu Wakisaka
  * Occitan (oc.po) by Quentin PAGÈS
  * Punjabi (Gurmukhi) (pa.po) by Aman Alam
  * Russian (ru.po) by Yuri Kozlov
  * Simplified Chinese (zh_CN.po) by Lou Letian

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 30 Nov 2024 09:46:51 +0100

user-setup (1.100) unstable; urgency=medium

  [ Updated translations ]
  * Indonesian (id.po) by Andika Triwidada
  * Georgian (ka.po) by Temuri Doghonadze
  * Latvian (lv.po) by GGLVXD

 -- Cyril Brulebois <kibi@debian.org>  Sat, 02 Nov 2024 22:16:35 +0100

user-setup (1.99) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Belarusian (be.po) by Joe
  * German (de.po) by Holger Wansing
  * Greek (el.po) by mpt.c
  * Hungarian (hu.po) by Szia Tomi
  * Indonesian (id.po) by Andika Triwidada
  * Georgian (ka.po) by Temuri Doghonadze
  * Norwegian Bokmal (nb.po) by Petter Reinholdtsen
  * Portuguese (Brazil) (pt_BR.po) by Adriano Rafael Gomes
  * Turkish (tr.po) by Fatih Altun
  * Simplified Chinese (zh_CN.po) by Zi Jiaxu

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 10 Sep 2024 22:09:10 +0200

user-setup (1.98) unstable; urgency=medium

  * Team upload

  * Change entry for 1.97: add forgotten bug closure.

  [ Updated translations ]
  * Hebrew (he.po) by Yaron Shahrabani
  * Japanese (ja.po) by Norimitsu SUGIMOTO
  * Punjabi (Gurmukhi) (pa.po) by Aman Alam
  * Ukrainian (uk.po) by Hotripak
  * Traditional Chinese (zh_TW.po) by yubike

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 28 May 2024 20:41:58 +0200

user-setup (1.97) unstable; urgency=medium

  * Team upload

  [ Philip Hands ]
  * Change template: update password selection advice, to get rid of outdated
    advice about password selection and renewals, and ensure that people know
    what to expect if they leave the root password blank. Closes: #1064617,
    #998408, #868869.

  [ Updated translations ]
  * Arabic (ar.po) by Der Marschall
  * Belarusian (be.po) by Viktar Siarheichyk
  * Catalan (ca.po) by d
  * Esperanto (eo.po) by phlostically
  * Spanish (es.po) by gallegonovato
  * Estonian (et.po) by Kristjan Räts
  * Galician (gl.po) by gallegonovato
  * Hebrew (he.po) by Yaron Shahrabani
  * Hindi (hi.po) by Scrambled777
  * Hungarian (hu.po) by SZERVÁC Attila
  * Indonesian (id.po) by Andika Triwidada
  * Japanese (ja.po) by Kenshi Muto
  * Kabyle (kab.po) by ButterflyOfFire
  * Macedonian (mk.po) by Kristijan Fremen Velkovski
  * Malayalam (ml.po) by Manoj Karingamadathil
  * Norwegian Bokmal (nb.po) by Petter Reinholdtsen
  * Dutch (nl.po) by Frans Spiesschaert
  * Norwegian Nynorsk (nn.po) by Ola Haugen Havrevoll
  * Occitan (oc.po) by Quentin PAGÈS
  * Polish (pl.po) by Matthaiks
  * Portuguese (pt.po) by Miguel Figueiredo
  * Romanian (ro.po) by ThinkRoot
  * Swedish (sv.po) by bittin1ddc447d824349b2
  * Turkish (tr.po) by Oğuz Ersen
  * Ukrainian (uk.po) by Сергій

 -- Holger Wansing <hwansing@mailbox.org>  Fri, 03 May 2024 21:14:17 +0200

user-setup (1.96) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Punjabi (Gurmukhi) (pa.po) by Aman Alam
  * Romanian (ro.po) by NicolaeFericitu
  * Serbian (sr.po) by Filipovic Dragan

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 04 Jan 2024 21:18:31 +0100

user-setup (1.95ubuntu1) mantic; urgency=medium

  * Merge 1.95 from Debian unstable.
  * Remaining old changes (one big commit in git-ubuntu):
    - Add preseedable passwd/auto-login question; if set to true, configure
      gdm, kdm, lxdm, sddm, and lightdm for automatic login.  Add
      passwd/auto-login-backup question which backs up the previous contents
      of the files as well.
    - Ask whether the user wants to encrypt their home directory.
    - Allow forcing the encrypted home option.
    - If a user requests an encrypted-home, we must have their login
      passphrase, in order to wrap their mount passphrase; it's
      fundamentally incompatible to preseed encrypted-home AND a crypted
      password; if this happens, send the user back to password selection.
    - Zero out swap devices at the end of install when encryption is
      enabled.
    - Provide a progress message for wiping swap space.
    - If user-setup/allow-password-empty is preseeded to true, allow empty
      passwords.
    - Add weak password detection (purely length-based for now, matching
      partman-crypto).
    - Don't restrict guest login from login screen if autologin was
      configured, just restrict autologin for guest specifically.
    - If OVERRIDE_ALREADY_ENCRYPTED_SWAP is set in the environment, assume
      that encrypted swap has already been set up rather than re-creating
      and re-zeroing swap.
  * Newer remaining changes (split out in git-ubuntu):
    - reserved-usernames: Add maas to reserved-usernames
    - user-setup-apply: user-setup-udeb.templates: Update initial user groups
    - d/user-setup-udeb.templates: Default passwd/root-login to false
    - functions.sh: Make is_system_user always return false if OVERRIDE_SYSTEM_USER is set
    - functions.sh: Consider a password of '!' in shadow for root to be unset
    - user-setup-apply: Create the spu group on powerpc/ps3 and powerpc/cell
    - user-setup-apply: Fix paths for GDM configs which are now in /etc/gdm3
    - user-setup-apply: Fix sddm.conf paths when replacing PLACEHOLDER
    - user-setup-ask: Lower priority of the encrypt home question
    - user-setup-apply: Mount /proc before calling adduser --encrypt-home
    - debian/po: keep translations as part of the package
    - Add sgx group to reserved-usernames; udev.postinst (src:systemd) adds it
      as a system group (LP: #1990488).
    - remove 'lxd' from user-default-groups and add 'users' instead,
      it will let lxd default to unprivileged containers which is better
      see https://discourse.ubuntu.com/t/easy-multi-user-lxd-setup for details
      (LP: #1949115)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 02 Aug 2023 14:43:44 +1200

user-setup (1.95) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Irish (ga.po) by Kevin Scannell
  * Norwegian Nynorsk (nn.po) by Yngve Spjeld-Landro

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 23 May 2023 19:07:38 +0200

user-setup (1.94) unstable; urgency=medium

  [ Updated translations ]
  * Georgian (ka.po) by Temuri Doghonadze
  * Polish (pl.po) by Matthaiks

 -- Cyril Brulebois <kibi@debian.org>  Wed, 26 Apr 2023 02:15:52 +0200

user-setup (1.93) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Refresh all translation files due to template changes in 1.92.

 -- Holger Wansing <hwansing@mailbox.org>  Mon, 13 Mar 2023 12:09:43 +0100

user-setup (1.92) unstable; urgency=medium

  * Team upload

  [ Nick Black ]
  * Remove support for unshadowed passwords

 -- Steve McIntyre <93sam@debian.org>  Sun, 15 Jan 2023 13:29:49 +0000

user-setup (1.91) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Build-Depends: Drop versioned constraint on dpkg-dev and po-debconf.
  * user-setup-udeb: Drop versioned constraint on cdebconf-udeb in Depends.

  [ Samuel Thibault ]
  * Make gbp tag produce the right tag format

  [ Colin Watson ]
  * Fix disabling of piuparts in CI

  [ Updated translations ]
  * Amharic (am.po) by Danial Behzadi
  * Asturian (ast.po) by Danial Behzadi
  * Russian (ru.po) by Lev Lamberov

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 03 Jan 2023 21:34:09 +0100

user-setup (1.90ubuntu3) lunar; urgency=medium

  * debian/user-setup.templates:
    - remove 'lxd' from user-default-groups and add 'users' instead,
      it will let lxd default to unprivileged containers which is better
      see https://discourse.ubuntu.com/t/easy-multi-user-lxd-setup for details
      (LP: #1949115)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 24 Nov 2022 10:51:38 +0100

user-setup (1.90ubuntu2) kinetic; urgency=medium

  * Add sgx group to reserved-usernames; udev.postinst (src:systemd) adds it
    as a system group (LP: #1990488).

 -- Olivier Gayot <olivier.gayot@canonical.com>  Thu, 22 Sep 2022 18:33:51 +0200

user-setup (1.90ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - user-setup-apply: user-setup-udeb.templates: Add the initial user to the
      adm, libvirtd, sambashare and lxd groups too.
      Do not add them to the audio, video, floppy, netdev, scanner or bluetooth
      groups.
    - user-setup-udeb.templates: Default passwd/root-login to false
    - user-setup-apply: Create the spu group on powerpc/ps3 and powerpc/cell
    - functions.sh: Make is_system_user always return false if
      OVERRIDE_SYSTEM_USER is set.
    - functions.sh: Consider a password of '!' in shadow for root to be unset
    - reserved-usernames: Add maas to reserved-usernames
    - user-setup-apply: Fix paths for GDM configs which are now in /etc/gdm3
    - user-setup-apply: Fix sddm.conf paths when replacing PLACEHOLDER
    - user-setup-ask: Lower priority of the encrypt home question
    - user-setup-apply: Mount /proc before calling adduser --encrypt-home
    Old changes (one big commit in git-ubuntu):
    - Add preseedable passwd/auto-login question; if set to true, configure
      gdm, kdm, lxdm, sddm, and lightdm for automatic login.  Add
      passwd/auto-login-backup question which backs up the previous contents
      of the files as well.
    - Ask whether the user wants to encrypt their home directory.
    - Allow forcing the encrypted home option.
    - If a user requests an encrypted-home, we must have their login
      passphrase, in order to wrap their mount passphrase; it's
      fundamentally incompatible to preseed encrypted-home AND a crypted
      password; if this happens, send the user back to password selection.
    - Zero out swap devices at the end of install when encryption is
      enabled.
    - Provide a progress message for wiping swap space.
    - If user-setup/allow-password-empty is preseeded to true, allow empty
      passwords.
    - Add weak password detection (purely length-based for now, matching
      partman-crypto).
    - Don't restrict guest login from login screen if autologin was
      configured, just restrict autologin for guest specifically.
    - If OVERRIDE_ALREADY_ENCRYPTED_SWAP is set in the environment, assume
      that encrypted swap has already been set up rather than re-creating
      and re-zeroing swap.

 -- Lukas Märdian <slyon@ubuntu.com>  Mon, 22 Aug 2022 14:21:02 +0200

user-setup (1.90) unstable; urgency=medium

  * Team upload

  * Adapt lintian-overrides to recent 'pointed hints' changings.

  [ Updated translations ]
  * Basque (eu.po) by Gontzal Manuel Pujana Onaindia
  * Vietnamese (vi.po) by Trần Ngọc Quân

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 31 Jul 2022 15:47:00 +0200

user-setup (1.89) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Danish (da.po) by Joe Hansen
  * Norwegian Nynorsk (nn.po) by aujawindar
  * Simplified Chinese (zh_CN.po) by Wenbin Lv

  [ Debian Janitor ]
  * Add missing ${misc:Depends} to Depends for user-setup-udeb.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Update renamed lintian tag names in lintian overrides.

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 26 May 2022 23:50:50 +0200

user-setup (1.88ubuntu1) impish; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - user-setup-apply: user-setup-udeb.templates: Add the initial user to the
      adm, libvirtd, sambashare and lxd groups too.
      Do not add them to the audio, video, floppy, netdev, scanner or bluetooth
      groups.
    - user-setup-udeb.templates: Default passwd/root-login to false
    - user-setup-apply: Create the spu group on powerpc/ps3 and powerpc/cell
    - functions.sh: Make is_system_user always return false if
      OVERRIDE_SYSTEM_USER is set.
    - functions.sh: Consider a password of '!' in shadow for root to be unset
    - reserved-usernames: Add maas to reserved-usernames
    - user-setup-apply: Fix paths for GDM configs which are now in /etc/gdm3
    - user-setup-apply: Fix sddm.conf paths when replacing PLACEHOLDER
    - user-setup-ask: Lower priority of the encrypt home question
    - user-setup-apply: Mount /proc before calling adduser --encrypt-home
    - Add preseedable passwd/auto-login question; if set to true, configure
      gdm, kdm, lxdm, sddm, and lightdm for automatic login.  Add
      passwd/auto-login-backup question which backs up the previous contents
      of the files as well.
    - Ask whether the user wants to encrypt their home directory.
    - Allow forcing the encrypted home option.
    - If a user requests an encrypted-home, we must have their login
      passphrase, in order to wrap their mount passphrase; it's
      fundamentally incompatible to preseed encrypted-home AND a crypted
      password; if this happens, send the user back to password selection.
    - Zero out swap devices at the end of install when encryption is
      enabled.
    - Provide a progress message for wiping swap space.
    - If user-setup/allow-password-empty is preseeded to true, allow empty
      passwords.
    - Add weak password detection (purely length-based for now, matching
      partman-crypto).
    - Don't restrict guest login from login screen if autologin was
      configured, just restrict autologin for guest specifically.
    - If OVERRIDE_ALREADY_ENCRYPTED_SWAP is set in the environment, assume
      that encrypted swap has already been set up rather than re-creating
      and re-zeroing swap.
  * Dropped changes, applied upstream:
    - Allow underscores in usernames.

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 18 May 2021 09:35:12 +0200

user-setup (1.88) unstable; urgency=medium

  * Team upload

  [ Michel Le Bihan ]
  * Allow underscore in username of first account. Closes: #977214

  [ Updated translations ]
  * Hindi (hi.po) by KushagraKarira
  * Tamil (ta.po) by Vasudevan Tirumurti
  * Traditional Chinese (zh_TW.po) by louies0623

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 20 Feb 2021 17:27:21 +0100

user-setup (1.87ubuntu2) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:36:27 +0100

user-setup (1.87ubuntu1) hirsute; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - user-setup-apply: user-setup-udeb.templates: Add the initial user to the
      adm, libvirtd, sambashare and lxd groups too.
      Do not add them to the audio, video, floppy, netdev, scanner or bluetooth
      groups.
    - user-setup-udeb.templates: Default passwd/root-login to false
    - user-setup-apply: Create the spu group on powerpc/ps3 and powerpc/cell
    - functions.sh: Make is_system_user always return false if
      OVERRIDE_SYSTEM_USER is set.
    - functions.sh: Consider a password of '!' in shadow for root to be unset
    - reserved-usernames: Add maas to reserved-usernames
    - user-setup-apply: Fix paths for GDM configs which are now in /etc/gdm3
    - user-setup-apply: Fix sddm.conf paths when replacing PLACEHOLDER
    - user-setup-ask: Lower priority of the encrypt home question
    - user-setup-apply: Mount /proc before calling adduser --encrypt-home
    Old changes (one big commit in git-ubuntu):
    - Add preseedable passwd/auto-login question; if set to true, configure
      gdm, kdm, lxdm, sddm, and lightdm for automatic login.  Add
      passwd/auto-login-backup question which backs up the previous contents
      of the files as well.
    - Ask whether the user wants to encrypt their home directory.
    - Allow forcing the encrypted home option.
    - If a user requests an encrypted-home, we must have their login
      passphrase, in order to wrap their mount passphrase; it's
      fundamentally incompatible to preseed encrypted-home AND a crypted
      password; if this happens, send the user back to password selection.
    - Zero out swap devices at the end of install when encryption is
      enabled.
    - Provide a progress message for wiping swap space.
    - If user-setup/allow-password-empty is preseeded to true, allow empty
      passwords.
    - Add weak password detection (purely length-based for now, matching
      partman-crypto).
    - Don't restrict guest login from login screen if autologin was
      configured, just restrict autologin for guest specifically.
    - If OVERRIDE_ALREADY_ENCRYPTED_SWAP is set in the environment, assume
      that encrypted swap has already been set up rather than re-creating
      and re-zeroing swap.

 -- Lukas Märdian <slyon@ubuntu.com>  Mon, 08 Feb 2021 15:19:04 +0100

user-setup (1.87) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Occitan (oc.po) by Quentin PAGÈS
  * Romanian (ro.po) by Sergiu

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 31 Dec 2020 00:12:24 +0100

user-setup (1.86) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Greek (el.po) by Vangelis Skarmoutsos
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * Persian (fa.po) by سهیل خانعلی‌پور
  * Marathi (mr.po) by Prachi Joshi
  * Punjabi (Gurmukhi) (pa.po) by Aman ALam

  [ New translations ]
  * Kabyle (kab.po) by Slimane Selyan Amiri
  * Occitan (oc.po) by Quentin PAGÈS

 -- Holger Wansing <hwansing@mailbox.org>  Wed, 04 Nov 2020 19:58:43 +0100

user-setup (1.85ubuntu2) hirsute; urgency=medium

  * Revert dropping of translation .po files, as the TranslationLifecycle does
    not apply to install udebs.

 -- Lukas Märdian <lukas.maerdian@canonical.com>  Wed, 04 Nov 2020 17:22:02 +0100

user-setup (1.85ubuntu1) hirsute; urgency=medium

  * Merge with Debian unstable (LP: #1902533). Remaining changes:
    - user-setup-apply: user-setup-udeb.templates: Add the initial user to the
      adm, libvirtd, sambashare and lxd groups too.
      Do not add them to the audio, video, floppy, netdev, scanner or bluetooth
      groups.
    - user-setup-udeb.templates: Default passwd/root-login to false
    - user-setup-apply: Create the spu group on powerpc/ps3 and powerpc/cell
    - functions.sh: Make is_system_user always return false if
      OVERRIDE_SYSTEM_USER is set.
    - functions.sh: Consider a password of '!' in shadow for root to be unset
    - reserved-usernames: Add maas to reserved-usernames
    - user-setup-apply: Fix paths for GDM configs which are now in /etc/gdm3
    - user-setup-apply: Fix sddm.conf paths when replacing PLACEHOLDER
    - user-setup-ask: Lower priority of the encrypt home question
    - user-setup-apply: Mount /proc before calling adduser --encrypt-home
    Old changes (one big commit in git-ubuntu):
    - Add preseedable passwd/auto-login question; if set to true, configure
      gdm, kdm, lxdm, sddm, and lightdm for automatic login.  Add
      passwd/auto-login-backup question which backs up the previous contents
      of the files as well.
    - Ask whether the user wants to encrypt their home directory.
    - Allow forcing the encrypted home option.
    - If a user requests an encrypted-home, we must have their login
      passphrase, in order to wrap their mount passphrase; it's
      fundamentally incompatible to preseed encrypted-home AND a crypted
      password; if this happens, send the user back to password selection.
    - Zero out swap devices at the end of install when encryption is
      enabled.
    - Provide a progress message for wiping swap space.
    - If user-setup/allow-password-empty is preseeded to true, allow empty
      passwords.
    - Add weak password detection (purely length-based for now, matching
      partman-crypto).
    - Don't restrict guest login from login screen if autologin was
      configured, just restrict autologin for guest specifically.
    - If OVERRIDE_ALREADY_ENCRYPTED_SWAP is set in the environment, assume
      that encrypted swap has already been set up rather than re-creating
      and re-zeroing swap.
  * Do not ship distro specific translations, use Launchpad instead
    - according to TranslationLifecycle

 -- Lukas Märdian <lukas.maerdian@canonical.com>  Wed, 04 Nov 2020 10:11:52 +0100

user-setup (1.85) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * French (fr.po) by Baptiste Jammet
  * Serbian (sr.po) by Filipovic Dragan

 -- Holger Wansing <hwansing@mailbox.org>  Mon, 21 Sep 2020 22:09:01 +0200

user-setup (1.84) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Hebrew (he.po) by Yaron Shahrabani
  * Icelandic (is.po) by Sveinn í Felli
  * Norwegian Bokmal (nb.po) by Allan Nordhøy

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 05 Jul 2020 22:00:27 +0200

user-setup (1.83) unstable; urgency=medium

  * Team upload

  [ Colin Watson ]
  * Add input, kvm, and render to reserved-usernames; udev.postinst adds
    these as system groups.

  [ Holger Wansing ]
  * Fix missing package name in 'Project-Id-Version' header of template.pot
    file, to allow correct declaration in po|pot files.

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 01 Feb 2020 07:16:14 +0100

user-setup (1.82) unstable; urgency=medium

  * Team upload

  [ Cyril Brulebois ]
  * Remove Christian Perrier from Uploaders, with many thanks for all
    his contributions over the years!

  [ Philip Hands ]
  * enable salsa-CI pipeline

  [ Updated translations ]
  * Croatian (hr.po) by gogogogi
  * Icelandic (is.po) by Sveinn í Felli
  * Portuguese (pt.po) by Miguel Figueiredo

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 12 Oct 2019 23:34:49 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog user-setup`.
